locals {
  tmp_dir = "${path.root}/tmp/nexus-casc-plugin"
}

resource "null_resource" "nexus_image" {
  provisioner "local-exec" {
    command     = "mkdir -p ${local.tmp_dir}"
    working_dir = path.root
  }
  provisioner "local-exec" {
    command     = "git clone ${var.nexus_repo_url} ${local.tmp_dir}"
    working_dir = path.root
  }
  provisioner "local-exec" {
    command     = "git checkout v${var.nexus_version}-01.0"
    working_dir = local.tmp_dir
  }
  provisioner "local-exec" {
    command = "docker build --pull -t ${var.nexus_image} ${local.tmp_dir}"
  }
  provisioner "local-exec" {
    command = "docker push ${var.nexus_image}"
  }
  provisioner "local-exec" {
    command = "rm -rf ${local.tmp_dir}"
  }
}
